<?php

if ( class_exists("Kirki")){

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'elemento-conference' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'elemento_conference_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'elemento-conference' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'elemento-conference' ),
			'off' => esc_html__( 'Disable', 'elemento-conference' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'elemento_conference_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'elemento-conference' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'elemento-conference' ),
			'off' => esc_html__( 'Disable', 'elemento-conference' ),
		],
	] );

	//ADDITIONAL SETTINGS

	Kirki::add_section( 'elemento_conference_additional_setting', array(
	    'title'          => esc_html__( 'Additional Settings', 'elemento-conference' ),
	    'description'    => esc_html__( 'Additional Settings of themes', 'elemento-conference' ),
	    'priority'       => 10,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'elemento_conference_preloader_hide',
		'label'       => esc_html__( 'Here you can enable or disable your preloader.', 'elemento-conference' ),
		'section'     => 'elemento_conference_additional_setting',
		'default'     => '0',
		'priority'    => 10,
	] );


	// HEADER SECTION

	Kirki::add_section( 'elemento_conference_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'elemento-conference' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'elemento-conference' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_enable_email_heading',
		'section'     => 'elemento_conference_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'elemento-conference' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'elemento_conference_header_email',
		'section'  => 'elemento_conference_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_enable_location_heading',
		'section'     => 'elemento_conference_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Timing', 'elemento-conference' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'elemento_conference_header_location',
		'section'  => 'elemento_conference_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_header_phone_number_heading',
		'section'     => 'elemento_conference_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'elemento-conference' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Phone Number', 'elemento-conference' ),
		'settings' => 'elemento_conference_header_phone_number',
		'section'  => 'elemento_conference_section_header',
		'default'  => '',
		'sanitize_callback' => 'elemento_conference_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_enable_button_heading',
		'section'     => 'elemento_conference_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Header Button', 'elemento-conference' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Button Text', 'elemento-conference' ),
		'settings' => 'elemento_conference_header_button_text',
		'section'  => 'elemento_conference_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button URL', 'elemento-conference' ),
		'settings' => 'elemento_conference_header_button_url',
		'section'  => 'elemento_conference_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_enable_socail_link',
		'section'     => 'elemento_conference_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'elemento-conference' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'elemento_conference_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'elemento-conference' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'elemento-conference' ),
		'settings'     => 'elemento_conference_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'elemento-conference' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'elemento-conference' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'elemento-conference' ),
				'description' => esc_html__( 'Add the social icon url here.', 'elemento-conference' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 20
		],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'elemento_conference_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'elemento-conference' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'elemento-conference' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_footer_text_heading',
		'section'     => 'elemento_conference_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'elemento-conference' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'elemento_conference_footer_text',
		'section'  => 'elemento_conference_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'elemento_conference_footer_enable_heading',
		'section'     => 'elemento_conference_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'elemento-conference' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'elemento_conference_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'elemento-conference' ),
		'section'     => 'elemento_conference_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'elemento-conference' ),
			'off' => esc_html__( 'Disable', 'elemento-conference' ),
		],
	] );
}
